[Unit]
Description=WPA supplicant
Before=network.target
Wants=network.target

[Service]
ExecStartPre=/usr/bin/createDefaultWPASupplciantConfigFile.sh
ExecStart=/usr/sbin/wpa_supplicant -B -Dnl80211 -c/opt/secure/wifi/wpa_supplicant.conf -iwlan0 -P/var/run/wpa_supplicant/wlan0.pid -d -t -f /opt/logs/wpa_supplicant.log
Type=forking
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
